## gmime-filter-gzip

gmime-filter-gzip —

## Synopsis

    struct      GMimeFilterGZip;
    enum        GMimeFilterGZipMode;
    GMimeFilter* g_mime_filter_gzip_new         (GMimeFilterGZipMode mode,
                                                 int level);

## Object Hierarchy

      GObject
       +----GMimeFilter
             +----GMimeFilterGZip

## Description

## Details

### struct GMimeFilterGZip

    struct GMimeFilterGZip;

### enum GMimeFilterGZipMode

    typedef enum {
    	GMIME_FILTER_GZIP_MODE_ZIP,
    	GMIME_FILTER_GZIP_MODE_UNZIP
    } GMimeFilterGZipMode;

### g_mime_filter_gzip_new ()

    GMimeFilter* g_mime_filter_gzip_new         (GMimeFilterGZipMode mode,
                                                 int level);

Creates a new gzip (or gunzip) filter.

`mode` : | zip or unzip
`level` : | compression level
Returns : | a new gzip (or gunzip) filter.